Creates a new image

- « Gmagick::motionblurimage

- Gmagick::nextimage »

- PHP Manual
- Gmagick
- Creates a new image

# Gmagick::newimage

(PECL gmagick >= Unknown)

Gmagick::newimage — Creates a new image

### Description

public Gmagick::newimage(
int `$width`,
int `$height`,
string `$background`,
string `$format` = ?
): Gmagick

Creates a new image with the specified background color.

### Parameters

`width`

  Width of the new image.

`height`

  Height of the new image.

`background`

  The background color used for this image (as float).

`format`

  Image format.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.